package net.wanji.datacenter.cache;

import lombok.extern.slf4j.Slf4j;
import net.wanji.common.framework.spring.ServiceBeanContext;
import net.wanji.datacenter.service.DataProcessService;
import org.springframework.boot.CommandLineRunner;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author duanruiming
 * @date 2023/03/10 14:04
 */
@Component
@Slf4j
public class DataProcessServiceRegistrator implements CommandLineRunner {

    private final Map<String, DataProcessService> dataProcessServiceRegistor = new HashMap<>();

    /**
     * 获取注册器
     * key：主题名/类名，value: bean
     *
     * @return
     */
    public Map<String, DataProcessService> getDataProcessServiceRegistor() {
        return dataProcessServiceRegistor;
    }

    @Override
    public void run(String... args) throws Exception {
        Map<String, DataProcessService> map = ServiceBeanContext.getInterfaceBeanMap(DataProcessService.class);
        if (!map.isEmpty()) {
            dataProcessServiceRegistor.putAll(map);
        } else {
            log.error("初始化数据处理注册器失败");
        }
    }

}
