package net.wanji.datacenter.pojo.dto;

import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2023/03/09 17:02
 */
@Data
public class LanePeriodicDataDTO {

    /**
     * 车道事件集合
     */
    private List<EventList> eventList;
    /**
     * 车道数量
     */
    private Integer laneNum;
    /**
     * 全域编号
     */
    private String orgCode;
    /**
     * 数据生成时间: yyyy-MM-dd HH:mm:ss:SSS
     */
    private String timeStamp;

    @Data
    public class EventList {

        /**
         * 最大动态排队长度
         */
        private double dynamicQueueLengthMax;
        /**
         * 最小动态排队长度
         */
        private double dynamicQueueLengthMin;
        /**
         * 绿灯有效利用率
         */
        private double greenLightEfficiency;
        /**
         * 车道号(路网数据)
         */
        private String laneId;
        /**
         * 车道通行能力
         */
        private int laneCapacity;
        /**
         * 车道流率
         */
        private double laneFlowRate;
        /**
         * 不停车率
         */
        private double laneNoStopRate;
        /**
         * 一次停车率
         */
        private double laneOneStopRate;
        /**
         * 车道饱和度
         */
        private double laneSaturation;
        /**
         * 车道饱和流率
         */
        private int laneSaturationFlowRate;
        /**
         * 三次停车率
         */
        private double laneThreeStopRate;
        /**
         * 二次停车率
         */
        private double laneTwoStopRate;
        /**
         * 绿灯结束排队长度
         */
        private double lightGreenFinishQueueLength;
        /**
         * 绿灯起亮排队长度
         */
        private double lightGreenStartQueueLength;
        /**
         * 平均延误
         */
        private double meanDelay;
        /**
         * 平均停车次数
         */
        private int meanStopsNumber;
        /**
         * 平均点速度
         */
        private double meanV;
        /**
         * 最大静态排队长度
         */
        private double staticQueueLengthMax;
        /**
         * 最小静态排队长度
         */
        private double staticQueueLengthMin;
        /**
         * 时间占有率
         */
        private double timeOccupancy;
        /**
         * 自然流量
         */
        private int trafficFlow;
        /**
         * 小车当量
         */
        private int trolleyEquivalent;
        /**
         * 平均空间密度（长度占比）
         */
        private double vehicleLengthRatioMean;
        /**
         * 平均空间密度（车辆负荷比）
         */
        private double vehicleNumsRatioMean;
    }
}
